/* Battle Pong - a pong game with some extra features */
/* Copyright (C) 2003 Dana Olson                      */
/* For more info, read the LICENSE file               */

#include "player.h"

Player::Player()
{
}

Player::~Player()
{
}

void Player::reset()
{
    speed = 0;
    score = 0;
}

void Player::setWorldPos(Sint16 x, Sint16 y)
{
    location.x = x;
    location.y = y;
}

int Player::getScore()
{
  return (int)score;
}

void Player::move(float scaleIt)
{
  /* Move the player's coordinates */
  location.y+=Sint16(speed * scaleIt);

  /* If the player hits the top, stop movement */
  if (location.y+dims.y/2+2<=SCR_TOP)
  {
    setSpeed(0);
    location.y=SCR_TOP-dims.y/2-2;
  }

  /* If the player hits the bottom, stop movement */
  if (location.y>=SCR_BOT-sprDims.h+dims.y/2)
  {
    setSpeed(0);
    location.y=SCR_BOT-sprDims.h+dims.y/2;
  }
}

void Player::setSpeed(double i)
{
  speed = i;
}

void Player::incScore()
{
  score++;
}

